Loading...
Searching...
No Matches
BALL::VanDerWaalsSlick Class Reference

`#include <BALL/SCORING/COMPONENTS/vanDerWaalsSlick.h>`

Inheritance diagram for BALL::VanDerWaalsSlick:

## Classes

struct | Option
struct | Default

## Public Types

enum | CalculationMethod { CALCULATION__FULL_LJ_POTENTIAL , CALCULATION__SOFTENED_LJ_POTENTIAL_SIMPLE , CALCULATION__SOFTENED_LJ_POTENTIAL_LOG }

## Public Member Functions

| VanDerWaalsSlick ()
| VanDerWaalsSlick (ScoringFunction &sf)
| VanDerWaalsSlick (ScoringComponent &sc)
virtual | ~VanDerWaalsSlick ()
virtual void | clear ()
virtual bool | setup ()
void | update (const vector< std::pair< Atom *, Atom * > > &)
virtual double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Protected Attributes

std::vector< LennardJones::Data > | non_bonded_
std::vector< bool > | is_hydrogen_bond_
Size | number_of_1_4_
Size | number_of_h_bonds_
LennardJones | lennard_jones_
Potential1210 | hydrogen_bond_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const

## Detailed Description

SLICK van-der-Waals Component based on AmberNonBonded \ {\bf Definition:} \URL{BALL/SCORING/COMPONENTS/vanDerWaalsSlick.h}

Definition at line 18 of file vanDerWaalsSlick.h.

## Member Enumeration Documentation

## CalculationMethod

enum BALL::VanDerWaalsSlick::CalculationMethod

Enumerator
CALCULATION__FULL_LJ_POTENTIAL | Full Lennard-Jones 6-12 potential.
CALCULATION__SOFTENED_LJ_POTENTIAL_SIMPLE | Softened Lennard-Jones 6-12 potential (simple cut).
CALCULATION__SOFTENED_LJ_POTENTIAL_LOG | Log-Softened Lennard-Jones 6-12 potential.

Definition at line 23 of file vanDerWaalsSlick.h.

## Constructor & Destructor Documentation

## VanDerWaalsSlick() [1/3]

BALL::VanDerWaalsSlick::VanDerWaalsSlick | ( |  | ) |

## VanDerWaalsSlick() [2/3]

BALL::VanDerWaalsSlick::VanDerWaalsSlick | ( | ScoringFunction & | sf | ) |

## VanDerWaalsSlick() [3/3]

BALL::VanDerWaalsSlick::VanDerWaalsSlick | ( | ScoringComponent & | sc | ) |

## ~VanDerWaalsSlick()

virtual BALL::VanDerWaalsSlick::~VanDerWaalsSlick | ( |  | ) |

virtual

## Member Function Documentation

## clear()

virtual void BALL::VanDerWaalsSlick::clear | ( |  | ) |

virtual

Reimplemented from BALL::ScoringComponent.

## setup()

virtual bool BALL::VanDerWaalsSlick::setup | ( |  | ) |

virtual

Setup method

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::VanDerWaalsSlick::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

virtual double BALL::VanDerWaalsSlick::updateScore | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ScoringComponent.

## Member Data Documentation

## hydrogen_bond_

Potential1210 BALL::VanDerWaalsSlick::hydrogen_bond_

protected

Definition at line 132 of file vanDerWaalsSlick.h.

## is_hydrogen_bond_

std::vector<bool> BALL::VanDerWaalsSlick::is_hydrogen_bond_

protected

Definition at line 126 of file vanDerWaalsSlick.h.

## lennard_jones_

LennardJones BALL::VanDerWaalsSlick::lennard_jones_

protected

Definition at line 131 of file vanDerWaalsSlick.h.

## non_bonded_

std::vector<LennardJones::Data> BALL::VanDerWaalsSlick::non_bonded_

protected

Definition at line 123 of file vanDerWaalsSlick.h.

## number_of_1_4_

Size BALL::VanDerWaalsSlick::number_of_1_4_

protected

Definition at line 128 of file vanDerWaalsSlick.h.

## number_of_h_bonds_

Size BALL::VanDerWaalsSlick::number_of_h_bonds_

protected

Definition at line 129 of file vanDerWaalsSlick.h.